EDIT - bug #1815

task # 4338 (In Progress): [MASTER] Handle abbreviated title and protected cache correctly in TaxEditor

setinReference needs to reset the title cache
06/21/2010 03:27 PM - Andreas Miller

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.1

Severity: major Found in Version:

Description

e.g. article1.setIndournal(null); will not update the title cache. The same holds for booksection.setinBook(XXX) AND

booksection.getinBOok.setDatePublished(XXX) etc.

There are 2 ignored tests in ArticleDefaultCacheStrategy and BookSectionDefaultCacheStrategy that reflect the situation.

Associated revisions

Revision 461c07a9 - 05/15/2021 01:34 AM - Andreas Miiller

ref #1815 final tests on reset titleCache

History

#1 - 05/25/2016 02:15 PM - Andreas Miuller

- Target version changed from cdmlib - Next Major Release to Release 4.1

Is this still an open issue?

#2 - 05/26/2016 09:48 PM - Andreas Miuller

- Status changed from New to Resolved

Fixed by r28097

#3 - 05/27/2016 11:58 AM - Andreas Miiller

- Assignee changed from Andreas Miiller to k.luther -

#4 - 05/15/2021 01:35 AM - Andreas Miiller
- Description updated
- Status changed from Resolved to Closed

- Private changed from Yes to No

This seems to be fixed. See also tests in ReferenceDefaultCacheStrategy

#5 - 05/15/2021 01:37 AM - Andreas Miiller
- % Done changed from 0 to 100
